Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrOrdering

    java.lang.Object
      org.modeshape.graph.query.model.Ordering
          org.modeshape.jcr.query.qom.JcrOrdering

All Implemented Interfaces:
  Serializable, Ordering, LanguageObject, Visitable

    public class JcrOrdering

extends Ordering
implements Ordering

The implementation of the JCR Query Object Model's `Ordering`.

See Also:
  Serialized Form

Constructor Summary
`JcrOrdering(JcrDynamicOperand operand, Order order)` Create a new ordering specification, given the supplied operand and order.

Method Summary
`JcrDynamicOperand` | `getOperand()`
`String` | `getOrder()`
`JcrDynamicOperand` | `operand()` Get the operand being ordered.

Methods inherited from class org.modeshape.graph.query.model.Ordering
`accept, equals, hashCode, order, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcrOrdering

    public JcrOrdering(JcrDynamicOperand operand,
                       Order order)

  Create a new ordering specification, given the supplied operand and order.

  Parameters:
    `operand` - the operand being ordered
    `order` - the order type
  Throws:
    `IllegalArgumentException` - if the operand or order type is null

Method Detail

### operand

    public JcrDynamicOperand operand()

  Get the operand being ordered.

  Overrides:
    `operand` in class `Ordering`
  Returns:
    the operand; never null
  See Also:
    `Ordering.operand()`

### getOperand

    public JcrDynamicOperand getOperand()

  Specified by:
    `getOperand` in interface `Ordering`
  See Also:
    `Ordering.getOperand()`

### getOrder

    public String getOrder()

  Specified by:
    `getOrder` in interface `Ordering`
  See Also:
    `Ordering.getOrder()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.